## org.eclipse.emf.ecoretools.diagram.edit.commands
Class EEnum2CreateCommand

    java.lang.Object
      org.eclipse.core.commands.operations.AbstractOperation
          org.eclipse.emf.workspace.AbstractEMFOperation
              org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
                  org.eclipse.gmf.runtime.emf.type.core.commands.EditElementCommand
                      org.eclipse.emf.ecoretools.diagram.edit.commands.EEnum2CreateCommand

All Implemented Interfaces:
  org.eclipse.core.commands.operations.IUndoableOperation, org.eclipse.gmf.runtime.common.core.command.ICommand, org.eclipse.gmf.runtime.common.core.internal.command.ICommandWithSettableResult

    public class EEnum2CreateCommand

extends org.eclipse.gmf.runtime.emf.type.core.commands.EditElementCommand

Constructor Summary
`EEnum2CreateCommand(org.eclipse.gmf.runtime.emf.type.core.requests.CreateElementRequest req)`

Method Summary
`boolean` `canExecute()`
`protected void` `doConfigure(org.eclipse.emf.ecore.EEnum newElement, org.eclipse.core.runtime.IProgressMonitor monitor, org.eclipse.core.runtime.IAdaptable info)`
`protected org.eclipse.gmf.runtime.common.core.command.CommandResult` `doExecuteWithResult(org.eclipse.core.runtime.IProgressMonitor monitor, org.eclipse.core.runtime.IAdaptable info)`
`protected org.eclipse.emf.ecore.EObject` `getElementToEdit()`

Methods inherited from class org.eclipse.gmf.runtime.emf.type.core.commands.EditElementCommand
`getAffectedFiles, getEClass, getEClassToEdit, getRequest, isOK, setEClass, setElementToEdit`

Methods inherited from class org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
`aggregateStatuses, cleanup, compose, didRedo, didUndo, doExecute, doRedo, doUndo, getAffectedFiles, getCommandResult, getWorkspaceFiles, getWorkspaceFiles, internalSetResult, reduce, setResult`

Methods inherited from class org.eclipse.emf.workspace.AbstractEMFOperation
`canRedo, canSetOptions, canUndo, didCommit, dispose, execute, getChange, getEditingDomain, getOptions, isReuseParentTransaction, redo, setOptions, setReuseParentTransaction, undo`

Methods inherited from class org.eclipse.core.commands.operations.AbstractOperation
`addContext, getContexts, getLabel, hasContext, removeContext, setLabel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.command.ICommand
`setLabel`

Methods inherited from interface org.eclipse.core.commands.operations.IUndoableOperation
`addContext, canRedo, canUndo, dispose, execute, getContexts, getLabel, hasContext, redo, removeContext, undo`

Constructor Detail

### EEnum2CreateCommand

    public EEnum2CreateCommand(org.eclipse.gmf.runtime.emf.type.core.requests.CreateElementRequest req)

Method Detail

### getElementToEdit

    protected org.eclipse.emf.ecore.EObject getElementToEdit()

  Overrides:
    `getElementToEdit` in class `org.eclipse.gmf.runtime.emf.type.core.commands.EditElementCommand`

### canExecute

    public boolean canExecute()

  Specified by:
    `canExecute` in interface `org.eclipse.core.commands.operations.IUndoableOperation`
  Overrides:
    `canExecute` in class `org.eclipse.gmf.runtime.emf.type.core.commands.EditElementCommand`

### doExecuteWithResult

    protected org.eclipse.gmf.runtime.common.core.command.CommandResult doExecuteWithResult(org.eclipse.core.runtime.IProgressMonitor monitor,
                                                                                            org.eclipse.core.runtime.IAdaptable info)
                                                                                     throws org.eclipse.core.commands.ExecutionException

  Specified by:
    `doExecuteWithResult` in class `org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand`
  Throws:
    `org.eclipse.core.commands.ExecutionException`

### doConfigure

    protected void doConfigure(org.eclipse.emf.ecore.EEnum newElement,
                               org.eclipse.core.runtime.IProgressMonitor monitor,
                               org.eclipse.core.runtime.IAdaptable info)
                        throws org.eclipse.core.commands.ExecutionException

  Throws:
    `org.eclipse.core.commands.ExecutionException`

Copyright 2007 Anyware Technologies. All Rights Reserved.